// TerminalDlg.h : header file
//

#if !defined(AFX_TERMINALDLG_H__FF2886E1_BEC7_4C1C_B54E_7C8E9045D472__INCLUDED_)
#define AFX_TERMINALDLG_H__FF2886E1_BEC7_4C1C_B54E_7C8E9045D472__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TermEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CTerminalDlg dialog

class CTerminalDlg : public CDialog
{
// Construction
public:
	CTerminalDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTerminalDlg)
	enum { IDD = IDD_TERMINAL_DIALOG };
	CButton		m_ctrlConnect;
	CTermEdit	m_ctrlEdit;
	CString	m_strToSend;
	CString	m_strSpeed;
	BOOL	m_bAddCRLF;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTerminalDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON	m_hIcon;
	HANDLE	m_hPort;
	UINT	m_uTimer;

	void SendChar(UINT nChar);

	BYTE  DebugData[256];
	DWORD DebugLen;
	
	// Generated message map functions
	//{{AFX_MSG(CTerminalDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonSend();
	//}}AFX_MSG

	afx_msg LRESULT OnSendChar(WPARAM wp, LPARAM lp);

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TERMINALDLG_H__FF2886E1_BEC7_4C1C_B54E_7C8E9045D472__INCLUDED_)
